/**
 * ============LICENSE_START========================================================================
 * ONAP : ccsdk feature sdnr wt odlux
 * =================================================================================================
 * Copyright (C) 2020 highstreet technologies GmbH Intellectual Property. All rights reserved.
 * =================================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 * ============LICENSE_END==========================================================================
 */

import { PopupElement } from 'model/popupElements';
import { IActionHandler } from '../../../../framework/src/flux/action';
import { SelectMultipleLinksAction, SelectMultipleSitesAction, SetPopupPositionAction } from "../actions/popupActions";

export type popupStoreState = {
    selectionPendingForElements: PopupElement[],
    pendingDataType: "link"|"site"| "",
    position: { top: number, left: number }
};

const initialState: popupStoreState = {
    selectionPendingForElements: [],
    pendingDataType: "",
    position: { top: 0, left: 0 }
};

export const PopupsReducer: IActionHandler<popupStoreState> = (state = initialState, action) => {
   
    if(action instanceof SelectMultipleLinksAction){
        state = Object.assign({}, state, { selectionPendingForElements: action.elements, pendingDataType: "link", isSelectionNeeded: true });

    }else if(action instanceof SelectMultipleSitesAction){
        state = Object.assign({}, state, { selectionPendingForElements: action.elements, pendingDataType: "site", isSelectionNeeded: true });

    }else if(action instanceof SetPopupPositionAction){
        state= Object.assign({}, state, {position:{top:action.top, left: action.left}})

    }
       

    return state;

}